The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Поиск:  Каталог документации

6. Troubleshooting

You may get a kernel mismatch error message. This means that you don't have the correct version module for use with your kernel. If you cannot get the correct module version for use with your kernel, choose the closest one, and follow these steps;

This may not work in some instances, so remember to have your boot disk handy.


# cd /boot
# cat initrd-2.4.2-2.img |gunzip > /tmp/myimage
# mkdir /mnt/tmp
# mount /tmp/myimage /mnt/tmp -t ext2 -o loop=/dev/loop3
# cd /mnt/tmp
# vi linuxrc

Now modify 'insmod ft' to 'insmod -f ft'.

This will force the sytem to load the module. Save the file, and exit from vi (or emacs :))


# umount /mnt/tmp
# gzip /tmp/myimage 
# cp myimage.gz /boot/initrd-2.4.2-2.img

You will obviously have to use the correct filename for your initrd file. I am using 2.4.2-2 as example.

Now, reboot, and all should be well.




Партнёры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2023 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру